c----------------------------------------------
c      image1.f
c    
c      subrtn file : pk1subrtn
c       
c----------------------------------------------
c      main program  imagetx1.f
c      imagetx1.f     for imagetexture program
c----( ln: point su )
       parameter (ln=100,ln3=ln*3,ny=50,ln3y=ln3*ny,rd=10.0)
c----( n: url no mojisu )
       parameter (n=11,pai=3.1415926)  
c----( po: x,y,z no jun ni set )
       dimension po(ln3y)
       character ch1*15
       data ch1/"gedase1.jpg    "/
c
       call initvrml
c
       dd=2.0*pai/float(ln)
c
       do 20  i=1,ln
       do 20  j=1,2
       i1=3*(i-1)+1+3*ln*(j-1)
       i2=i1+1
       i3=i2+1
       po(i1)=i
       po(i2)=ny*(j-1)
       po(i3)=rd*sin(float(i)*dd)
c      po(i3)=0.0
   20  continue
c
       call imagetx1(ln,po,ch1,n)
c
       stop
       end
